SolrDocument::getFieldCount
SolrDocument::getInputDocument
SolrDocument
PHP Manual

# SolrDocument::getFieldNames

Returns an array of fields names in the document

### Description

public array SolrDocument::getFieldNames ( void )

Returns an array of fields names in the document.

### Parameters

This function has no parameters.

### Return Values

Returns an array containing the names of the fields in this document.